Bug 1018409 - [abrt] irqbalance-1.0.6-4.fc20: place_irq_in_node: Process /usr/sbin/irqbalance was killed by signal 11 (SIGSEGV)
[abrt] irqbalance-1.0.6-4.fc20: place_irq_in_node: Process /usr/sbin/irqbalan...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: irqbalance (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Holasek
Fedora Extras Quality Assurance
abrt_hash:729774ac66fede60655ad0b667c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 18:27 EDT by f.alexander.wilms
Modified: 2016-10-04 00:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 12:44:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (6.93 KB, text/plain)
2013-10-11 18:27 EDT, f.alexander.wilms
no flags Details
File: cgroup (148 bytes, text/plain)
2013-10-11 18:27 EDT, f.alexander.wilms
no flags Details
File: core_backtrace (1.27 KB, text/plain)
2013-10-11 18:27 EDT, f.alexander.wilms
no flags Details
File: dso_list (722 bytes, text/plain)
2013-10-11 18:27 EDT, f.alexander.wilms
no flags Details
File: environ (186 bytes, text/plain)
2013-10-11 18:27 EDT, f.alexander.wilms
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-11 18:27 EDT, f.alexander.wilms
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-11 18:27 EDT, f.alexander.wilms
no flags Details
File: maps (2.33 KB, text/plain)
2013-10-11 18:27 EDT, f.alexander.wilms
no flags Details
File: open_fds (102 bytes, text/plain)
2013-10-11 18:27 EDT, f.alexander.wilms
no flags Details
File: proc_pid_status (758 bytes, text/plain)
2013-10-11 18:27 EDT, f.alexander.wilms
no flags Details
File: var_log_messages (4.07 KB, text/plain)
2013-10-11 18:27 EDT, f.alexander.wilms
no flags Details

  None (edit)
Description f.alexander.wilms 2013-10-11 18:27:02 EDT
Version-Release number of selected component:
irqbalance-1.0.6-4.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/sbin/irqbalance --foreground
crash_function: place_irq_in_node
executable:     /usr/sbin/irqbalance
kernel:         3.11.3-301.fc20.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 place_irq_in_node at placement.c:145
 #1 for_each_irq at classify.c:508
 #2 calculate_placement at placement.c:196

Potential duplicate: bug 860410
Comment 1 f.alexander.wilms 2013-10-11 18:27:05 EDT
Created attachment 811431 [details]
File: backtrace
Comment 2 f.alexander.wilms 2013-10-11 18:27:08 EDT
Created attachment 811432 [details]
File: cgroup
Comment 3 f.alexander.wilms 2013-10-11 18:27:11 EDT
Created attachment 811433 [details]
File: core_backtrace
Comment 4 f.alexander.wilms 2013-10-11 18:27:14 EDT
Created attachment 811434 [details]
File: dso_list
Comment 5 f.alexander.wilms 2013-10-11 18:27:17 EDT
Created attachment 811435 [details]
File: environ
Comment 6 f.alexander.wilms 2013-10-11 18:27:20 EDT
Created attachment 811436 [details]
File: exploitable
Comment 7 f.alexander.wilms 2013-10-11 18:27:23 EDT
Created attachment 811437 [details]
File: limits
Comment 8 f.alexander.wilms 2013-10-11 18:27:27 EDT
Created attachment 811438 [details]
File: maps
Comment 9 f.alexander.wilms 2013-10-11 18:27:30 EDT
Created attachment 811439 [details]
File: open_fds
Comment 10 f.alexander.wilms 2013-10-11 18:27:33 EDT
Created attachment 811440 [details]
File: proc_pid_status
Comment 11 f.alexander.wilms 2013-10-11 18:27:36 EDT
Created attachment 811441 [details]
File: var_log_messages
Comment 12 Petr Holasek 2013-10-15 09:12:32 EDT
Hi,

can you still reproduce this issue with new version of irqbalance 1.0.7-1 which hit Fedora 20 yesterday? It contains couple of sigsegv fixes.

Thanks in advance

Regards,
Petr
Comment 13 f.alexander.wilms 2013-10-15 11:05:07 EDT
Sorry, I don't know how to reproduce it. f it occurs again I'll write a comment
Comment 14 Petr Holasek 2013-12-19 12:44:59 EST
Seems like problem has gone with rebase to 1.0.7:

https://retrace.fedoraproject.org/faf/summary/*/irqbalance/w/

Closing as CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.